qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrew Stitcher <astitc...@redhat.com>
Subject Re: Ubuntu packages for Qpid 0.24
Date Thu, 02 Jan 2014 19:51:44 GMT
On Thu, 2014-01-02 at 16:54 -0200, Listas@Adminlinux wrote:
> Hi,
> 
> I'm trying to generate Qpid-0.24 packages for Ubuntu 12.04.
> 
> It was configured as follows:
>   ./configure --with-sasl --with-xml --with-rdma --with-ssl --with-swig 
> --libexecdir='/usr/lib' --enable-fast-install --enable-deprecated-autotools
> 
> But some plugins are not compiled: sslconnector.so for client; acl.so, 
> cluster.so, replicating_listener.so, replication_exchange.so, ssl.so and 
> watchdog.so for daemon.
> 

These changes are what you should expect for 0.24:

The ssl and acl plugins have been directly subsumed by the qpidd
executable and so are no longer plugins.

The old active-active clustering has been replaced with active-passive
in a completely new implementation. This removed the other plugins and
added a new plugin - ha.so

If you are generating new packages you will need to adjust the packaging
specification it to take account of this change in files.

Andrew



---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
For additional commands, e-mail: users-help@qpid.apache.org


Mime
View raw message